# Uses of Enum Class
org.bukkit.EntityEffect

Packages that use EntityEffect
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of EntityEffect in org.bukkit

Methods in org.bukkit that return EntityEffect
Modifier and Type
Method
Description
`static EntityEffect`
EntityEffect.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityEffect[]`
EntityEffect.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of EntityEffect in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type EntityEffect
Modifier and Type
Method
Description
`void`
Entity.`playEffect(@NotNull EntityEffect type)`
Performs the specified `EntityEffect` for this entity.